Skip to main content
GET
/
api
/
onboarding
/
settings
Get Onboarding Settings
curl --request GET \
  --url https://adhere-api.smartcomply.com/api/onboarding/settings \
  --header 'x-access-token: <api-key>'
import requests

url = "https://adhere-api.smartcomply.com/api/onboarding/settings"

headers = {"x-access-token": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};

fetch('https://adhere-api.smartcomply.com/api/onboarding/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "failed",
  "message": "Authentication credentials were not provided."
}

Endpoint

GET /api/onboarding/settings

Request

Headers

HeaderValueRequired
x-access-tokenYour API keyYes

Example

curl https://adhere-api.smartcomply.com/api/onboarding/settings \
  -H "x-access-token: YOUR_API_KEY"
import requests

response = requests.get(
    "https://adhere-api.smartcomply.com/api/onboarding/settings",
    headers={"x-access-token": "YOUR_API_KEY"},
)
print(response.json())
const response = await fetch("https://adhere-api.smartcomply.com/api/onboarding/settings", {
  headers: { "x-access-token": "YOUR_API_KEY" },
});
const data = await response.json();

Response

status
string
"success" on a successful request.
message
string
"Settings retrieved"
data
object

200 OK

{
  "status": "success",
  "message": "Settings retrieved",
  "data": {
    "ivs": true,
    "aml": true
  }
}

Error Responses

HTTP StatusMessageCause
401"Authorization token is missing"No x-access-token header
401"Authorization failed"Token not recognised or expired

Authorizations

x-access-token
string
header
required

Your Adhere API secret key

Response

Settings retrieved